Databricks Light 2.4 - Support étendu

Databricks a publié cette image en juillet 2021. Elle est prise en charge jusqu’en juillet 2022.

Databricks Light 2.4 - Support étendu est basé sur Apache Spark 2.4 et utilise Ubuntu 18.04.5 LTS à la place de la distribution Ubuntu 16.04.6 LTS déconseillée, utilisée dans la version Databricks Light 2.4 d’origine.

Ces notes de publication répertorient les différences entre le Databricks Light 2.4 - Support étendu et la distribution Databricks Light 2.4 d’origine. Pour tous les autres détails concernant cette version, consultez la note de mise à jour de la version originale Databricks Light 2.4 (non pris en charge).

Différences entre Databricks Light 2.4 - Support étendu et Databricks Light 2.4

Les informations d’environnement et les bibliothèques suivantes sont différentes de celles de Databricks Light 2.4.

Environnement du système

  • Système d’exploitation : Ubuntu 18.04.5 LTS
  • Java : Zulu 8.54.0.21-CA-linux64 (build 1.8.0_292-b10)
  • Python2 : Python 2.7.17
  • Python3 : Python 3.6.9

Bibliothèques Python2

  • cffi mise à niveau de 1.7.0 vers 1.12.2
  • cryptography mise à niveau de 1.5 vers 2.6.1
  • docutils mise à niveau de 0.14 vers 0.17.1
  • futures mise à niveau de 3.2.0 vers 3.3.0
  • llvmlite mise à niveau de 0.13.0 vers 0.28.0
  • numba mise à niveau de 0.28.1 vers 0.43.1
  • psycopg2 mise à niveau de 2.6.2 vers 2.7.5
  • PyGObject mise à niveau de 3.20.0 vers 3.26.1
  • PyOpenSSL mise à niveau de 16.0.0 vers 19.0.0
  • setuptools mise à niveau de 41.0.1 vers 44.1.1
  • wheel mise à niveau de 0.33.4 vers 0.36.2
  • asn1crypto 0.24.0
  • keyring 10.6.0
  • keyrings.alt 3.0
  • pycairo 1.16.2
  • pycrypto 2.6.1
  • pyxdg 0.25
  • SecretStorage 2.3.1

Bibliothèques Python3

  • cffi mise à niveau de 1.7.0 vers 1.12.2
  • cryptography mise à niveau de 1.5 vers 2.6.1
  • docutils mise à niveau de 0.14 vers 0.17.1
  • llvmlite mise à niveau de 0.13.0 vers 0.28.0
  • numba mise à niveau de 0.28.1 vers 0.43.1
  • psycopg2 mise à niveau de 2.6.2 vers 2.7.5
  • PyGObject mise à niveau de 3.20.0 vers 3.26.1
  • PyOpenSSL mise à niveau de 16.0.0 vers 19.0.0
  • python-apt mise à niveau de 1.1.0 vers 1.6.5
  • ssh-import-id mise à niveau de 5.5 vers 5.7
  • wheel mise à niveau de 0.33.4 vers 0.36.2
  • asn1crypto 1.4.0
  • enum34 supprimé
  • pycurl supprimé

Bibliothèques R

  • foreign mise à niveau de 0.8-70 vers 0.8-71
  • MASS mise à niveau de 7.3-50 vers 7.3-51.1
  • Matrix mise à niveau de 1.2-14 vers 1.2-15